// src/main.cc - Copyright 2005, 2006, University
//               of Padova, dept. of Pure and Applied
//               Mathematics
//
// This file is part of SGPEMv2.
//
// This is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// SGPEMv2 is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with SGPEMv2; if not, write to the Free Software
// Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA

#include "config.h"
#include "gettext.h"

#include <iostream>

// Static functions declarations:
static void print_license();

int main(int argc, char* argv[]) {
  // Set up gettext support
  setlocale(LC_ALL, "");
  bindtextdomain(PACKAGE, LOCALEDIR);
  textdomain(PACKAGE);

  // Print out license informations
  print_license();

  return 0;
}

void print_license() {
  // Do _NOT_ translate this text.
  std::cerr <<
    "SGPEMv2, Copyright (C) 2005, 2006  University of Padova,\n"
    "                  dept. of Pure and Applied Mathematics.\n"
    "SGPEMv2 comes with ABSOLUTELY NO WARRANTY. This is free \n"
    "software, and you are welcome to redistribute it under  \n"
    "the terms of the GNU General Public License; for details\n"
    "see file COPYING contained in the source package.       \n" 
    	<< std::endl;
}
